/***
 * PictureCanvas.java,v 1.4 1997/07/07 20:13:19 dfs Exp
 * Copyright 1997 Original Reusable Objects, Inc.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version. 
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 * for more details. 
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, US
 ***/

import java.awt.*;
import java.applet.*;

import com.oroinc.yaray.*;

/***
 *
 * <p>
 * Copyright &#169 1996, 1997 Original Reusable Objects, Inc.
 * All rights reserved.
 * <p>
 * @author Daniel F. Savarese
 ***/

public final class PictureCanvas extends Canvas implements Picture {
  int _width, _height;
  Image _image = null;
  Graphics _imageGraphics, _graphics;


  public void setDimensions(int width, int height){
    _width    = width;
    _height   = height;
    _image    = createImage(width, height);
    _imageGraphics = _image.getGraphics();
    _imageGraphics.setColor(java.awt.Color.black);
    _imageGraphics.fillRect(0, 0, width, height);
    _graphics = getGraphics();
    resize(width, height);
  }


  public void setPixel(int x, int y, com.oroinc.yaray.Color color) {
    _imageGraphics.setColor(new java.awt.Color(color.element(0),
					       color.element(1), 
					       color.element(2)));
    _imageGraphics.drawLine(x, y, x, y);
    _graphics.drawImage(_image, 0, 0, null);
  }

  public void paint(Graphics g) {
    if(_image != null) 
      g.drawImage(_image, 0, 0, null);
    else
      super.paint(g);
  }

  public void update(Graphics g) {
    if(_image != null) {
      g.drawImage(_image, 0, 0, null);
    } else
      super.update(g);
  }

}
