/***
 * Color.java,v 1.4 1997/07/07 20:13:22 dfs Exp
 * Copyright 1997 Original Reusable Objects, Inc.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version. 
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 * for more details. 
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, US
 ***/
package com.oroinc.yaray;

import com.oroinc.math.geometry.*;

/***
 * A class defining the color of a surface using RGB values ranging from
 * 0 to 1.
 * <p>
 * Copyright &#169 1996, 1997 Original Reusable Objects, Inc.
 * All rights reserved.
 * <p>
 * @author Daniel F. Savarese
 ***/

public class Color extends Tuple {
  /*** Index of red. ***/
  public static final int RED   = 0;
  /*** Index of green. ***/
  public static final int GREEN = 1;
  /*** Index of blue. ***/
  public static final int BLUE  = 2;

  /*** Creates a black color. ***/
  public Color() { super(3); }

  /*** Color copy constructor. ***/
  public Color(Tuple tuple) { super(tuple); }

  /*** Creates a Color instance with the given red green and blue values. ***/
  public Color(float red, float green, float blue) {
    super(red, green, blue);
  }

  /*** Assigns one color to another. ***/
  public void assign(Color color) {
    super._assign_(color);
  }

  /*** 
   * Multiplies one color by another and returns the value.  The red
   * color components are multiplied by each other, the green by each other,
   * and the blue by each other.
   ***/
  public Color multiply(Color color) {
    Color result = new Color(color);

    result._elements_[RED]  *=_elements_[RED];
    result._elements_[GREEN]*=_elements_[GREEN];
    result._elements_[BLUE] *=_elements_[BLUE];

    return result;
  }

}
