/***
 * Util.java,v 1.4 1997/07/07 20:13:24 dfs Exp
 * Copyright 1997 Original Reusable Objects, Inc.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version. 
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 * for more details. 
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, US
 ***/
package com.oroinc.yaray;

import com.oroinc.math.geometry.*;

/***
 * Various utility methods.
 * <p>
 * Copyright &#169 1996, 1997 Original Reusable Objects, Inc.
 * All rights reserved.
 * <p>
 * @author Daniel F. Savarese
 ***/

public final class Util {
  public static final float INFINITY = 1e10f;
  public static final float ZERO     = 0.001f;

  private Util() { }

  public static final int evenness(int value) {
    return (value % 2);
  }

  public static final int sign(int value) {
    return (value < 0 ? -1 : 1);
  }

  public static final boolean isOdd(int value) {
    return (evenness(value) == 1);
  }

  public static final boolean isEven(int value) {
    return (evenness(value) == 0);
  }

}
